from django.contrib import auth
from rest_framework.views import APIView
from rest_framework.response import Response
from rest_framework import status
from rest_framework.authtoken.models import Token
from rest_framework.authentication import BasicAuthentication, TokenAuthentication
from .serializers import UserRegisterSerializer

from django.middleware.csrf import get_token
from django.contrib.auth import login

from api.utils import *
from api.models import File
    
class dashboardAPI(APIView):
  def get(self, request):
    user = request.user
    views = user.own_views.all()
    return Response()
  
  def post(self, request):
    return Response()